/// <reference types="jquery" />
import 'bootstrap';
import { AfterViewInit } from '@angular/core';
import { Observable } from 'rxjs';
import { DialogRootService } from './dialogRoot.service';
import { JQueryProvider } from '../../services/jquery/jquery.provider';
export declare class DialogOutletComponent implements AfterViewInit {
    dialogRoot: DialogRootService;
    jquery: JQueryStatic;
    dialogSize$: Observable<string>;
    constructor(dialogRoot: DialogRootService, jquery: JQueryProvider);
    dismiss(): void;
    ngAfterViewInit(): void;
}
